> For the complete documentation index, see [llms.txt](https://docs.guibo.travel/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md).

# Content | 5. Text page

### A) Create Textpage in Library

Create a textpage with a customID helps to reference it when creating a Guidebook or On-demand Release.&#x20;

* You can find the Account ID under Account Settings > General Settings > Account ID
* You can find the API key under Account Settings > General Settings > API Key

```shellscript
curl --location 'https://services-tst.schneidergeo.com/content/text' \
--header 'Authorization: xxxx-xxxxxxxx-xxxxx-xxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account": "CCCCCC",
    "library": {
        "customId": "MY_TEXT_LIB"
    },
    "customId":"TEXT_564",
    "titles": {
        "de": "Fragen & Antworten",
        "en": "Frequently asked questions"
    },
    "descriptions": {
        "de": "<h3>Antworten auf die häufigsten Fragen</h3> Was ist eine pauschale Radreise? Was mache ich, wenn es den ganzen Tag regnet? Und wie geht es nach der Online-Buchung weiter?",
        "en": "<h3>Answers to frequently asked questions</h3> What is a flat-rate cycling tour? What do I do if it rains all day? And what happens after I book online?"
    },
    "appEnabled": true,
    "pdfEnabled": true
}'
```

### B) Read Textpage

Use Account ID and Custom ID of Textpage to read the asset.&#x20;

```shellscript
curl --location --request 'https://services.schneidergeo.com/content/text/account/{account}/external/{customId}' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' 
```

### C) Update Textpage

The update operation uses the same object as the create operation.

Update Requirements:

* Identity: Updates are targeted using a composite key: `customId` and `library.customId`.

```shellscript
curl --location PUT 'https://services-tst.schneidergeo.com/content/text' \
--header 'Authorization: xxxx-xxxxxxxx-xxxxx-xxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
    "account": "CCCCCC",
    "library": {
        "customId": "MY_TEXT_LIB"
    },
    "customId":"TEXT_564",
    "titles": {
        "de": "Fragen & Antworten updated",
        "en": "Frequently asked questions updated"
    },
    "descriptions": {
        "de": "<h3>Antworten auf die häufigsten Fragen</h3> Was ist eine pauschale Radreise? Was mache ich, wenn es den ganzen Tag regnet? Und wie geht es nach der Online-Buchung weiter?",
        "en": "<h3>Answers to frequently asked questions</h3> What is a flat-rate cycling tour? What do I do if it rains all day? And what happens after I book online?"
    },
    "appEnabled": true,
    "pdfEnabled": true
}'
```

### D) Delete Textpage

Use Account ID and Custom ID of Textpage to delete the asset. It will be in thrash unless you add the query parameter `force=true` to the URL.

```shellscript
curl --location --request DELETE 'https://services.schneidergeo.com/content/text/account/{account}/external/{customId}' \
--header 'Authorization: xxxxxx-xxxxxx-xxxxxx-xxxxxx' \
--header 'Content-Type: application/json' 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.guibo.travel/developers/content-api/content-or-create-text-page.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
